<?php
 require_once('bookmark_fns.php');
  session_start();

  // Vytváříme zkrácený název proměnné.
  $new_url = $_POST['new_url'];

  do_html_header('Přidávání záložek');

  try {
    check_valid_user();
    if (!filled_out($_POST)) {
       throw new Exception('Nevyplnil/a jste formulář správně. Prosíme,
                            zkuste to znovu.');
    }

    // Ověřujeme formát adresy URL.
    if (strstr($new_url, 'http://') === false) {
       $new_url = 'http://'.$new_url;
    }

    // Ověřujeme, zda je adresa URL platná.
    if (!(@fopen($new_url, 'r'))) {
      throw new Exception('Adresa URL není platná.');
    }

    // Pokoušíme se přidat záložku.
    add_bm($new_url);
    echo 'Záložka přidána.';

    // Načítítáme záložky, které si uložil aktuální uživatel.
    if ($url_array = get_user_urls($_SESSION['valid_user'])) {
      display_user_urls($url_array);
    }
  } catch (Exception $e) {
    echo $e->getMessage();
  }
  display_user_menu();
  do_html_footer();
?>
